{% assign free_shipping_value = 00001 %}
  
{% load_banners position: 'frete-gratis' %}
{% for banner in loaded_banners %}
  {% if banner.title != blank %}
    {% assign free_shipping_value = banner.subtitle | plus: 0 %}
  {% endif %}
{% endfor %}

{% load_tag name: 'sugestoes-carrinho' %}
{% assign tag = loaded_tag %}

{% assign suggested_name = 'Compre também:' %}
{% if tag and tag.title != blank and tag.title != tag.name %}
  {% assign suggested_name = tag.title %}
{% endif %}

<div id="component-cart-drawer-root"></div>

{% assign component_version = '25' %}
{% if current_shop.settings contains 'component_version_cart_drawer' %}
  {% assign settings_version = current_shop.settings.component_version_cart_drawer %}
  {% if settings_version != blank %}
    {% assign component_version = settings_version %}
  {% endif %}
{% endif %}

<script>
  window.cartDrawerSettings = {
    script: "{{ 'cart-drawer.v[version].js' | replace: '[version]', component_version | component_path }}",
    styles: "{{ 'cart-drawer.v[version].css' | replace: '[version]', component_version | component_path }}",
    freeShippingValue: {{ free_shipping_value }},
    titleSuggested: '{{ suggested_name }}',
    instance: false
  }
</script>
